Retrieves the roles on an account
curl --request GET \
--url https://api.hubapi.com/settings/users/2026-09-beta/roles \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/settings/users/2026-09-beta/roles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/settings/users/2026-09-beta/roles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "<string>",
"name": "<string>",
"requiresBillingWrite": true
}
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Roles
Retrieves the roles on an account
Retrieve a list of user roles available in your HubSpot account. This endpoint provides information about the different permission sets that can be assigned to users, which is useful for managing user access and permissions within the account.
GET
/
settings
/
users
/
2026-09-beta
/
roles
Retrieves the roles on an account
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Response
successful operation
An array of PublicPermissionSet objects, each representing a specific permission set. This property is required.
Show child attributes
Show child attributes
Last modified on August 3, 2026
Was this page helpful?
⌘I